resource "vault_consul_secret_backend" "config" {
  path        = "consul"
  description = "Manages the Consul backend"

  address = "http://127.0.0.1:8300"
  # Using root token here, do consul tokens expire?
  token = var.consul_token
}

resource "vault_consul_secret_backend_role" "consul_servers" {
  name    = "consul-servers"
  backend = vault_consul_secret_backend.config.path

  consul_policies = [
    "consul-servers"
  ]

  max_ttl = 240
  ttl     = 120
}
